package com.ejie.ab79.service.propuestaSancion;

import java.util.List;

import com.ejie.ab79.model.propuestaSancion.InfraccionesPropuesta;
import com.ejie.x38.dto.TableRequestDto;
import com.ejie.x38.dto.TableResponseDto;
import com.ejie.x38.dto.TableRowDto;

public interface PropuestaSancionInfraccionesService {

	/**
	 * Adds a row in the InfraccionesPropuesta table.
	 *
	 * @param infraccionesPropuesta
	 *            InfraccionesPropuesta
	 * 
	 * @return InfraccionesPropuesta
	 */

	List<InfraccionesPropuesta> findAllInfraccionesPropuesta(InfraccionesPropuesta infraccionesPropuesta,
			TableRequestDto tableRequestDto);

	TableResponseDto<InfraccionesPropuesta> filter(InfraccionesPropuesta filterInfraccion,
			TableRequestDto tableRequestDto, boolean b);

	List<TableRowDto<InfraccionesPropuesta>> search(InfraccionesPropuesta filterInfracciones,
			InfraccionesPropuesta searchInfracciones, TableRequestDto tableRequestDto, boolean startsWith);

	InfraccionesPropuesta add(InfraccionesPropuesta infraccionesPropuesta);

	void remove(InfraccionesPropuesta filterInfraccion);

	Long findInfraccionesDerechosCount(InfraccionesPropuesta filterInfracciones);

	InfraccionesPropuesta find(InfraccionesPropuesta infraccionPropuesta);

	InfraccionesPropuesta update(InfraccionesPropuesta infraccionesPropuesta);
}
